hxt-xpath-9.1.2.2: The XPath modules for HXT.

Safe Haskell | None
Language | Haskell98

Text.XML.HXT.XPath.XPathToNodeSet

Description

Convert an XPath result set into a node set

Synopsis

- xPValue2XmlNodeSet :: XPathValue -> XmlNodeSet
- emptyXmlNodeSet :: XmlNodeSet

# Documentation

xPValue2XmlNodeSet :: XPathValue -> XmlNodeSet Source #

Convert a a XPath-value into a XmlNodeSet represented by a tree structure

The XmlNodeSet can be used to traverse a tree an process all marked nodes.

emptyXmlNodeSet :: XmlNodeSet Source #